Subject: Re: [Dime] Alexey Melnikov's No Objection on draft-ietf-dime-drmp-05: (with COMMENT)

From: Steve Donovan <[email-masked]>
Date: Wed, 4 May 2016 09:03:06 -0500

I'm responding to the comments received in the order received.

Please see my responses inline.

Regards,

Steve

On 4/28/16 10:04 AM, Alexey Melnikov wrote:
> Alexey Melnikov has entered the following ballot position for
> draft-ietf-dime-drmp-05: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-dime-drmp/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> In Section 6: excuse my ignorance, but how can priority information be
> conveyed to non-supporting endpoints (in 2 places)? And what is the
> point,as they don't support the extension?
SRD> This is to cover the case where there exists a Diameter client that 
does not support the DRMP mechanism originates a request.  An agent that 
does support the mechanism can, in this case, add the DRMP AVP to the 
message if it has the information needed to accurately add the priority 
information.
>
> In 9.1: it would be better to just have a table, instead of copying and
> modifying lots of text.
SRD> That's another way of presenting the information.  I think the 
existing approach works as well.
>
> It would be good to have a short sentence saying how this extension
> affects non upgraded agents.
SRD> I don't understand this comment.  This does not impact non 
supporting Diameter nodes.  A non supporting agent will just ignore the 
DRMP AVP.
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

---

From: Steve Donovan <[email-masked]>
Date: Wed, 4 May 2016 11:41:21 -0500

I'm resending this email with the IESG mailing list included.

Apologies for the added mail.

Steve

On 5/4/16 9:03 AM, Steve Donovan wrote:
>> Please refer to 
>> https://www.ietf.org/iesg/statement/discuss-criteria.html
> SRD> This is to cover the case where there exists a Diameter client 
> that does not support the DRMP mechanism originates a request.  An 
> agent that does support the mechanism can, in this case, add the DRMP 
> AVP to the message if it has the information needed to accurately add 
> the priority information.
>>
> supporting Diameter nodes.  A non supporting agent will just ignore 
> the DRMP AVP.
>>
>>